---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:37:53Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:37:53Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:03:25Z"
  name: sriov-network-operator.openshift-sriov-network-operator
  resourceVersion: "2208975"
  uid: 253d9ce6-eefd-4b25-b2c3-bd311b77debb
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/sriov-network-operator.openshift-sriov-network-operator
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: sriov-network-operator.v-9Q9JrbZpHC97j9VWxUkKpK4ikcZrYOU7xRd9HP
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: sriov-network-operator.v-aLK3oUH6SopRaV1UJ2SiPKZVg2ilgDD51BkoGu
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: sriov-network-operator.v-9Q9JrbZpHC97j9VWxUkKpK4ikcZrYOU7xRd9HP
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: sriov-network-operator.v-aLK3oUH6SopRaV1UJ2SiPKZVg2ilgDD51BkoGu
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:33Z"
        lastUpdateTime: "2025-10-27T12:38:33Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: sriov-network-operator.v4.19.0-202510142112
      namespace: openshift-sriov-network-operator
    - apiVersion: v1
      kind: ConfigMap
      name: manager-config
      namespace: openshift-sriov-network-operator
    - apiVersion: v1
      kind: ConfigMap
      name: supported-nic-ids
      namespace: openshift-sriov-network-operator
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: ovsnetworks.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovibnetworks.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovnetworknodepolicies.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovnetworknodestates.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovnetworkpoolconfigs.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovnetworks.sriovnetwork.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:38:07Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: sriovoperatorconfigs.sriovnetwork.openshift.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:33Z"
        lastUpdateTime: "2025-10-27T12:38:33Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      - lastTransitionTime: "2025-10-27T12:38:10Z"
        lastUpdateTime: "2025-10-27T12:38:33Z"
        message: ReplicaSet "sriov-network-operator-5cb7d85d67" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      kind: Deployment
      name: sriov-network-operator
      namespace: openshift-sriov-network-operator
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:38:10Z"
        lastUpdateTime: "2025-10-27T12:38:10Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-2m96g
      namespace: openshift-sriov-network-operator
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: sriov-network-operator.v4.19.0-202510142112
      namespace: openshift-sriov-network-operator
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: sriov-network-operator.v-4PEmXvxHy9LnBCDGQwoWwAAUz6WvwAr5gDpraR
      namespace: openshift-sriov-network-operator
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: sriov-network-operator.v4-mvcGkLYoNalmGuqS0nnZ01w0W9mdLaucFQkT8
      namespace: openshift-sriov-network-operator
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: sriov-network-operator.v-4PEmXvxHy9LnBCDGQwoWwAAUz6WvwAr5gDpraR
      namespace: openshift-sriov-network-operator
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: sriov-network-operator.v4-mvcGkLYoNalmGuqS0nnZ01w0W9mdLaucFQkT8
      namespace: openshift-sriov-network-operator
    - apiVersion: v1
      kind: ServiceAccount
      name: sriov-network-config-daemon
      namespace: openshift-sriov-network-operator
    - apiVersion: v1
      kind: ServiceAccount
      name: sriov-network-operator
      namespace: openshift-sriov-network-operator
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:24Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription sriov-network-operator-subscription,
          subscription sriov-network-operator-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: sriov-network-operator-subscription
      namespace: openshift-sriov-network-operator
